Bug 1005797 - [RFE] Add a column with number of comments into Case Runs table
[RFE] Add a column with number of comments into Case Runs table
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yang Ren
Yang Ren
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 08:15 EDT by Michal Trunecka
Modified: 2016-06-23 00:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the proposed RFE (115.36 KB, image/png)
2013-09-09 08:15 EDT, Michal Trunecka
no flags Details
Patch for this RFE (1.49 KB, patch)
2013-09-09 08:16 EDT, Michal Trunecka
no flags Details | Diff
Patch for this RFE (1.49 KB, patch)
2013-09-09 08:17 EDT, Michal Trunecka
no flags Details | Diff
Icon to epmhasize presence of comment (3.28 KB, image/png)
2013-09-13 03:24 EDT, Michal Trunecka
no flags Details
Patch for this RFE with comment icon added (1.75 KB, patch)
2013-09-13 03:33 EDT, Michal Trunecka
no flags Details | Diff

  None (edit)
Description Michal Trunecka 2013-09-09 08:15:15 EDT
Created attachment 795591 [details]
Screenshot of the proposed RFE

Description of problem:
Having a column with number of comments in Case Runs table will help in reviewing the past results of a case. The most important Case Run results are those which are commented and now it is hard to find them.

Patch and screenshot for this change are attached.
Comment 1 Michal Trunecka 2013-09-09 08:16:05 EDT
Created attachment 795592 [details]
Patch for this RFE
Comment 2 Michal Trunecka 2013-09-09 08:17:34 EDT
Created attachment 795593 [details]
Patch for this RFE
Comment 3 jianchen 2013-09-09 09:59:51 EDT
thanks for the patch, will merge this patch in next release.
Comment 4 Michal Trunecka 2013-09-13 03:24:32 EDT
Created attachment 797186 [details]
Icon to epmhasize presence of comment
Comment 5 Michal Trunecka 2013-09-13 03:33:01 EDT
Created attachment 797187 [details]
Patch for this RFE with comment icon added

After some discussions, we found handy to have an icon of comment next to the comment number when there are some comments, to better visually distinguish their presence.

The patch is attached as well as the icon to be placed in /media/images.
Comment 6 fhuang 2014-03-24 01:54:49 EDT
Has on product so change status.

Note You need to log in before you can comment on or make changes to this bug.